Use Atlantic;
GO
SELECT D.destination_name
, COUNT(*) AS nbr_orders
FROM Orders AS O INNER JOIN Destination AS D
	ON O.destination_id = D.destination_id
GROUP BY D.destination_name
WITH ROLLUP 
ORDER BY nbr_orders